Package org.gradle.language.base

## Interface FunctionalSourceSet

- All Superinterfaces:
    `java.lang.Iterable<LanguageSourceSet>`, `ModelElement`, `ModelMap<LanguageSourceSet>`, `Named`

      @Incubating
      public interface FunctionalSourceSet
      extends ModelMap<LanguageSourceSet>

  A container holding `LanguageSourceSet`s with a similar function (production code, test code, etc.).

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName, getName`

    - ### Methods inherited from interface org.gradle.model.ModelMap

      `afterEach, afterEach, all, beforeEach, beforeEach, containsKey, containsValue, create, create, create, create, get, get, isEmpty, keySet, named, named, put, size, values, withType, withType, withType`